Bug 493951 - latest grub has wrong root device
latest grub has wrong root device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 08:49 EDT by Marcela Mašláňová
Modified: 2010-04-29 08:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 08:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-03 08:49:40 EDT
Description of problem:
The latest grub don't boot latest kernel because it tries /dev/sda1 instead of correct /dev/sda2.

Version-Release number of selected component (if applicable):
grub-0.97-44.fc11.x86_64

How reproducible:
Not sure why was picked wrong partition.
fdisk -l /dev/sda

Disk /dev/sda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x00000080

Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          25      200781   83  Linux
/dev/sda2              26        2575    20482875   83  Linux
/dev/sda3            2576        2702     1020127+  83  Linux
/dev/sda4            2703       14593    95514457+   5  Extended
/dev/sda5            2703        2766      514048+  82  Linux swap / Solaris
/dev/sda6            2767       14593    95000346   83  Linux

cat /etc/fstab
/dev/sda1   /                       ext3    defaults        1 1
/dev/mapper/luks-aaebb917-125d-470d-b88a-ebf3abddfa0e  /home                   ext4    defaults        1 2
UUID=c77e9588-36c9-4ebc-8218-6fe43a1c17e9       /boot                   ext3    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/VolGroup00/swap    swap                    swap    defaults        0 0

grub.conf
title Fedora (2.6.29.1-37.rc1.fc11.x86_64)
        root (hd0,0)
        kernel /vmlinuz-2.6.29.1-37.rc1.fc11.x86_64 ro root=/dev/sda1 rhgb quiet
        initrd /initrd-2.6.29.1-37.rc1.fc11.x86_64.img
title Fedora (2.6.29-16.fc11.x86_64)
        root (hd0,0)
        kernel /vmlinuz-2.6.29-16.fc11.x86_64 ro root=/dev/sda2 rhgb quiet
        initrd /initrd-2.6.29-16.fc11.x86_64.img


Expected results:
grub picks up correct partition.
Comment 1 Bug Zapper 2009-06-09 09:12:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:28:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.